# Namespace: internal

## Classes

- [AdminDeleteSalesChannelsChannelProductsBatchReq](../classes/internal-22.AdminDeleteSalesChannelsChannelProductsBatchReq.md)
- [AdminGetSalesChannelsParams](../classes/internal-22.AdminGetSalesChannelsParams.md)
- [AdminPostSalesChannelsChannelProductsBatchReq](../classes/internal-22.AdminPostSalesChannelsChannelProductsBatchReq.md)
- [AdminPostSalesChannelsReq](../classes/internal-22.AdminPostSalesChannelsReq.md)
- [AdminPostSalesChannelsSalesChannelReq](../classes/internal-22.AdminPostSalesChannelsSalesChannelReq.md)
- [ProductBatchSalesChannel](../classes/internal-22.ProductBatchSalesChannel.md)

## Type Aliases

### AdminSalesChannelsListRes

Ƭ **AdminSalesChannelsListRes**: [`PaginatedResponse`](internal-2.md#paginatedresponse) & { `sales_channels`: [`SalesChannel`](../classes/internal.SalesChannel.md)[]  }

#### Defined in

medusa/dist/api/routes/admin/sales-channels/index.d.ts:10

___

### AdminSalesChannelsRes

Ƭ **AdminSalesChannelsRes**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `sales_channel` | [`SalesChannel`](../classes/internal.SalesChannel.md) |

#### Defined in

medusa/dist/api/routes/admin/sales-channels/index.d.ts:6

## Variables

### AdminGetSalesChannelsParams\_base

• `Const` **AdminGetSalesChannelsParams\_base**: [`"/Users/shahednasser/medusa/packages/medusa/dist/types/global"`](internal-15.__Users_shahednasser_medusa_packages_medusa_dist_types_global_.md)

#### Defined in

medusa/dist/api/routes/admin/sales-channels/list-sales-channels.d.ts:141
